package com.futhark.block;

import com.futhark.Futhark;
import net.fabricmc.fabric.api.blockrenderlayer.v1.BlockRenderLayerMap;
import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.minecraft.block.*;
import net.minecraft.client.render.RenderLayer;
import net.minecraft.item.BlockItem;
import net.minecraft.item.Item;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.util.Identifier;

public class ModBlocks extends Block {
    public ModBlocks(Settings settings) {
        super(settings);
    }

    public static final Block JAFFA_JAM_BLOCK = register("jaffa_jam_block",
            new SlimeBlock(FabricBlockSettings.copyOf(Blocks.SLIME_BLOCK).mapColor(MapColor.ORANGE).nonOpaque()));

    public static final Block RUNE_BLOCK = register("rune_block",
            new RuneBlock(FabricBlockSettings.copyOf(Blocks.STONE)));

    public static Block register(String id, Block block) {
        Registry.register(Registries.ITEM, new Identifier(Futhark.MOD_ID, id), new BlockItem(block, new FabricItemSettings()));
        return Registry.register(Registries.BLOCK, new Identifier(Futhark.MOD_ID, id), block);
    }

    public static void init() {
        Futhark.LOGGER.info("Registering Blocks");
        BlockRenderLayerMap.INSTANCE.putBlock(ModBlocks.JAFFA_JAM_BLOCK, RenderLayer.getTranslucent());
    }
}
